Subject: RE: Non-static initializers in X11R6.4
From: [email-masked] (Sergey Okhapkin)

9 Jan 1999 06:36:36 -0800
Message-ID: <01BE3BB0.7398CFF0.cygnus.gnu-win32@sos>
To: "[email-masked]" <[email-masked]>,
        "'Mumit Khan'"
	 <[email-masked]>
Cc: "[email-masked]" <[email-masked]>

Mumit Khan wrote:
> [email-masked] writes:
> > 
> > I'm trying to build X11R6.4 on my own using Sergey's patches.  On a number
> > of the programs (such as the xkb*), I get errors that I'm trying to use
> > non-static initializers of the form outside the scope of a function:
> > 
> > FILE *yyin = stdout;
> > 
> formed C++ code. Perhaps Sergey can shed some light on what he did
> to make it all work.
> 

The problem is fixed already in my R6.4 patch for b20. I've moved static initializers into executable code.

-- 
Sergey Okhapkin, http://www.lexa.ru/sos
Piscataway, NJ

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".